from libpurple_to_markdown import synctech_sms


def test_normalize_phone_number():
    assert synctech_sms.normalize_phone_number('+45 12 34 56 78') == '+4512345678'
    assert synctech_sms.normalize_phone_number('+4512345678') == '+4512345678'
    assert synctech_sms.normalize_phone_number('4512345678') == '+4512345678'
    assert synctech_sms.normalize_phone_number('12345678') == '+4512345678'
    assert synctech_sms.normalize_phone_number('12 34 56 78') == '+4512345678'
    assert synctech_sms.normalize_phone_number('441234567890') == '+441234567890'
    assert synctech_sms.normalize_phone_number('004712345678') == '+4712345678'


def test_dont_normalize_weird():
    assert synctech_sms.normalize_phone_number('Midttrafik') == 'Midttrafik'
